Subject: Re: [RFC] ice: Reconfigure tx scheduling for SR-IOV

From: Jakub Kicinski <[email-masked]>
Date: Tue, 5 Jul 2022 15:15:05 -0700

On Mon,  4 Jul 2022 13:45:13 +0200 Michal Wilczynski wrote:
> If we were to follow normal flow, we would now use tc-filter family of
> commands to direct types of interesting traffic to the correct nodes.
> That is NOT the case in this implementation. In this POC, meaningful
> classid number identifies scheduling node. Number of qdisc handle is a
> queue number in a PF space. Reason for this - we want to support ALL
> queues on the card including SR-IOV ones that are assigned to VF
> netdevs.

Have you looked at the devlink rate API? It should do what you need.
Dima has been working on extending that API recently you may want to
compare notes with him as well: 

https://lore.kernel.org/all/[email-masked]/